Skip to:
Content
Pages
Categories
Search
Top
Bottom

CubePoints Buddypress integration crashes site


  • octapie
    Participant

    @octapie

    I had everything going fine on my local site. When I publish it I receive the following error:

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or ‘}’ in /nfs/c07/h04/mnt/106086/domains/scorephoria.com/html/wp-content/plugins/cubepoints-buddypress-integration/includes/bp-cubepoint-classes.php on line 170

    Could someone help me? I will be taking it down until I can figure it put.

Viewing 16 replies - 1 through 16 (of 16 total)

  • Tosh
    Participant

    @xberserker

    @octapie Please download Version 1.7.6.1 and see if that works for you.


    octapie
    Participant

    @octapie

    @xberserker I tried that but I still get the same result :(


    Tosh
    Participant

    @xberserker

    @octapie which update broke it? Copy and paste the whole bp-cubepoint-classes.php and share it with me using this site http://pastebin.com/

    What version of wordpress are you using?


    octapie
    Participant

    @octapie

    Here is the code at paste bin http://pastebin.com/yVYNjVVT

    I’m using WordPress 3.0.1. I’m not really sure which update broke it. It worked fine locally, it worked fine on Godaddy (although, I had various other problems while using Godaddy). When I moved to Media Temple and installed the Buddypress integration it started crashing the site.


    Tosh
    Participant

    @xberserker

    One thing you could ask your new host is what version of PHP they are running. I’ll see what I can find in the meantime.

    Media temple VDS CentOS servers will likely have 5.2.6 at least one I have access to does. That’s not a standard RPM for CentOS though so either Media Temple compile that or the Plesk panel does. I would think that all Media Temple PHP versions are at least 5.2.3 but that is speculation.


    octapie
    Participant

    @octapie

    I think you are on to something. I tried to install the BP Albums plugin a moment ago, a plugin that was working fine before I was on Media Temple, and it crashed the site the same as the Buddypress Cubepoints Integration does, but with this error:

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or ‘}’ in /nfs/c07/h04/mnt/106086/domains/scorephoria.com/html/wp-content/plugins/bp-album/includes/bp-album-classes.php on line 219

    Unfortunately my knowledge of PHP is super limited and I have just been learning as I go. What should I do next? I am waiting for a reply from MT as to which PHP version they are running.
    Thanks for all your help so far.

    It’s almost definitely a problem resting with different PHP versions then, and I suspect it’s the issue with this double colon syntax to reference class constants. Do need to know the exact php version running on the MT servers though.


    octapie
    Participant

    @octapie

    This is what they sent me…

    The (gs) Grid-Service currently features the following versions of software:

    * PHP 4.4.8-1
    * PHP 5.2.6-1
    * Perl v5.8.4
    * Python v2.4.4
    * Apache 2.0.54
    * MySQL 5.1.26
    * PostgreSQL 7.4.7


    Pisanojm
    Participant

    @pisanojm

    I had some issues with the “stable” release of cubepoints (not the bp-add-on) and I downloaded the BETA version of cubepoints and it fixed by issues… I can’t tell if you tried it or not from the posts here…

    @octapie still need to know what actual version your files are being parsed through.

    Can you upload a file to your doc root call it php-conf.php in it simply write:
    `
    <?php
    phpinfo();
    ?>
    `
    run that file from your domain i.e example.com/php-conf.php and it should report the version of php your server is using.


    octapie
    Participant

    @octapie

    It seems it is 4.4.8-1

    You can see it at scorephoria.com/php-conf.php


    Tosh
    Participant

    @xberserker

    @octapie See if you can get them to upgrade it at least version 5.2.3


    octapie
    Participant

    @octapie

    @xberserker I will do that. Thanks for your help


    octapie
    Participant

    @octapie

    It worked! Thanks for all your help everyone!


    Tosh
    Participant

    @xberserker

    Good deal, thanks for the update! :)

Viewing 16 replies - 1 through 16 (of 16 total)
  • The topic ‘CubePoints Buddypress integration crashes site’ is closed to new replies.
Skip to toolbar